package com.hz.pm.api.performance.util;

/**
 * @author CMM
 * @since 2023/08/17 21:01
 */

import com.alibaba.excel.metadata.Head;
import com.alibaba.excel.write.metadata.style.WriteCellStyle;
import com.alibaba.excel.write.style.AbstractVerticalCellStyleStrategy;

/**
 * excel 样式设置
 * @return
 * @author CMM
 * @since 2023/08/17 21:07
 */
public class ExcelSheetVerticalCellStyleStrategy extends AbstractVerticalCellStyleStrategy {
    /**
     * 头部样式
     *
     * @return 样式
     */
    @Override
    protected WriteCellStyle headCellStyle(Head head) {
        return ExcelUtils.writeCellStyle();
    }
    /**
     * 内容样式
     *
     * @return 样式
     */
    @Override
    protected WriteCellStyle contentCellStyle(Head head) {
        return ExcelUtils.writeCellStyle();
    }
}
